## menhir 20071205.dfsg

=== Makefile ===
--- 
+++ 
@@ -63,5 +63,5 @@
 	rm -rf $(bindir)/menhir
 	rm -rf $(libdir)
 	rm -rf $(docdir)
-	rm -rf $(mandir)
+	rm -rf $(mandir)/$(MANS)
