=== demos/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #                                                                        #
 ##########################################################################
 
-DEMOS := calc calc-two
+DEMOS := calc calc-two calc-param
 
 .PHONY: all clean
 
@@ -21,7 +21,7 @@
 	done
 
 clean:
-	/bin/rm -f *~ .*~
+	/bin/rm -f *~ .*~ *.omc
 	@for i in $(DEMOS) ; do \
 	  $(MAKE) -C $$i $(MFLAGS) clean ; \
 	done
