=== debian/changelog ===
menhir (20140422.dfsg-1) unstable; urgency=medium

  * New upstream relese.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 14:49:45 +0200

menhir (20130911.dfsg-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures.
    - Add 0002-Use-CURDIR-instead-of-.-during-bootstrap.patch
  * Do not install menhirLib.mlpack.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 20:53:44 +0100

menhir (20130911.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add ocaml-findlib to Build-Depends.
  * Use native/byte targets instead of $(OCAML_BEST)
  * Adapt install steps to new build system.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 24 Mar 2014 22:38:20 +0100
