=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
   debhelper (>= 7.0.50),
   ocaml-nox (>= 4),
+  ocaml-findlib,
   dh-ocaml (>= 0.9)
 Standards-Version: 3.9.2
 Homepage: http://gallium.inria.fr/~fpottier/menhir/
