=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/menhir
BEST := native
ifneq ($(OCAML_BEST),opt)
BEST = byte
endif


override_dh_auto_build:
	$(MAKE) TARGET=$(BEST) PREFIX=/usr

override_dh_auto_clean:
	$(MAKE) -C src/ clean PREFIX=$(DESTDIR)/usr

override_dh_auto_install:
	cp src/_stage2/menhir.$(BEST) $(DESTDIR)/usr/bin/menhir

override_dh_auto_test:

%:
	dh --with ocaml $@
